<?php
/**
 * Manufacturers
 *
 * $Horde: incubator/minerva/admin/type.php,v 1.8 2006/06/14 16:55:47 duck Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Minerva
 */

@define('GULLIVER_BASE', dirname(__FILE__) . '/../');
require_once GULLIVER_BASE . '/lib/base.php';
require_once GULLIVER_BASE . '/lib/RDO/Manufacturer.php';
require_once 'tabs.php';

$title = _("Manufacturers");
$tm = new Gulliver_ManufacturerMapper();
require_once GULLIVER_BASE . '/lib/RDO/crud.php';

Horde::addScriptFile('stripe.js', 'horde', true);
require_once 'tabs.php';
require_once GULLIVER_TEMPLATES . '/common-header.inc';
require_once GULLIVER_TEMPLATES . '/menu.inc';

echo $tabs->render('manufacturers');

if (!in_array($actionID, array('create', 'update'))) {
    $template = Horde_Template_Auto::factory('RDO',
                                             array('filter' => $filter,
                                                   'name' => $title),
                                             $tm);
    $template->fill();
    $list = array();
    foreach ($template->get('rows') as $id => $object) {
        $list[$id] = $object->getFields();
        $list[$id]['updated'] = Gulliver::formatDate($list[$id]['updated']);
        $list[$id]['created'] = Gulliver::formatDate($list[$id]['created']);
    }
    $template->set('rows', $list);
    echo $template->fetch();
}

if (in_array($actionID, array('create', 'update', 'search'))) {
    $form->renderActive(new Horde_Form_Renderer(), $vars);
}

require_once $registry->get('templates', 'horde') . '/common-footer.inc';
