<?php
/**
 * Tabs for admin pages
 *
 * $Horde: incubator/minerva/admin/tabs.php,v 1.4 2006/06/14 17:02:53 duck Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */

if (!Auth::isAdmin('gulliver')) {
    $notification->push(_("You don't have permisson to access to administration."), 'horde.warning');
    header('Location: ' . Horde::applicationUrl('list.php'));
    exit;
}

require_once 'Horde/UI/Tabs.php';

$admin = Util::getFormData('admin', 'cities');

$vars = &Variables::getDefaultVariables();
$tabs = &new Horde_UI_Tabs('admin', $vars);

$tabs->addTab(_("Posts"), Horde::applicationUrl('admin/posts.php'), 'posts');
$tabs->addTab(_("Countries"), Horde::applicationUrl('admin/countries.php'), 'countries');
$tabs->addTab(_("Cities"), Horde::applicationUrl('admin/cities.php'), 'cities');
$tabs->addTab(_("Locations"), Horde::applicationUrl('admin/locations.php'), 'locations');
$tabs->addTab(_("Distances"), Horde::applicationUrl('admin/distances.php'), 'distances');
$tabs->addTab(_("Mileages"), Horde::applicationUrl('admin/mileages.php'), 'mileages');
$tabs->addTab(_("Allowances"), Horde::applicationUrl('admin/allowances.php'), 'allowances');
$tabs->addTab(_("Costs"), Horde::applicationUrl('admin/costs.php'), 'costs');
$tabs->addTab(_("Workers"), Horde::applicationUrl('admin/workers.php'), 'workers');
$tabs->addTab(_("Manufacturer"), Horde::applicationUrl('admin/manufacturers.php'), 'manufacturers');
$tabs->addTab(_("Vehicles"), Horde::applicationUrl('admin/vehicles.php'), 'vehicles');

if (Auth::isAdmin()) {
    $tabs->addTab(_("Permissions"), Horde::url($registry->get('webroot', 'horde') . '/admin/perms/'), 'perms');
}
