<?php

require_once 'Horde/String.php';
require_once 'Horde/NLS.php';
require_once GULLIVER_BASE . '/lib/Gulliver.php';

/**
 * AJAX Wrapper
 *
 * $Horde: incubator/minerva/lib/AJAX.php,v 1.9 2006/07/16 07:42:29 duck Exp $
 *
 * Mainly to convert strings to UTF8 and handle PEAR_ERROR
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */
class Gulliver_AJAX extends Gulliver {

    /**
     * Charset to use with AJAX comunication (ansii or utf8)
     *
     * @var _charset
     */
    var $_charset = 'utf8';

    public function clientData($client)
    {
        $result = parent::clientData($client);
        if (is_a($result, 'PEAR_Error')) {
            return $result->getMessage();
        }

        $result = String::convertCharset($result, NLS::getCharset(), $this->_charset);

        return $result;
    }

}
