<?php

/**
 * The Gulliver_Allowance:: class and Gulliver_AllowanceMapper:: provides Horde_RDO extension
 * used in for handling Allowances.
 *
 * $Horde:$
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */
class Gulliver_Allowance extends Horde_RDO {
}

/**
 * @package Gulliver
 */
class Gulliver_AllowanceMapper extends Horde_RDO_Mapper {

    protected $container = 'gulliver_allowances';

    public function getStorage()
    {
        return Horde_RDO_Storage::factory('pdo', $GLOBALS['conf']['sql']);
    }

    public function formMeta()
    {
        $data['id'] = array('humanName' => _("Id"));
        $data['name'] = array('humanName' => _("City"));
        $data['country'] = array('humanName' => _("Country"), 'type' => 'enum', 'params' => array('enum' => Gulliver::getCountries()));
        $data['currency'] = array('humanName' => _("Currency"), 'type' => 'enum', 'params' => array('enum' => Gulliver::getCurrencies()));
        $data['complete'] = array('humanName' => _("Complete"), 'type' => 'number');
        $data['half'] = array('humanName' => _("Half"), 'type' => 'number');
        $data['lowed'] = array('humanName' => _("Lowed"), 'type' => 'number');

        return $data;
    }
}
