<?php
/**
 * The Gulliver_Cities:: class and Gulliver_Cities:: provides Horde_RDO extension
 * used in for handling Cities.
 *
 * $Horde:$
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */
class Gulliver_Cities extends Horde_RDO {
}

/**
 * @package Gulliver
 */
class Gulliver_CitiesMapper extends Horde_RDO_Mapper {

    protected $container = 'gulliver_cities';

    public function getStorage()
    {
        return Horde_RDO_Storage::factory('pdo', $GLOBALS['conf']['sql']);
    }

    public function formMeta()
    {
        $data['id'] = array('humanName' => _("Id"));
        $data['name'] = array('humanName' => _("City"));
        $data['country'] = array('humanName' => _("Country"), 'type' => 'enum', 'params' => array('enum' => Gulliver::getCountries()));

        return $data;
    }

    public function getAll()
    {
        $query = new Horde_RDO_Query($this);
        $query->addSort('country');
        $query->addSort('name');

        $data = array();
        foreach (new Horde_RDO_List($this, Horde_RDO::FIND_ALL, $query) as $item) {
            $data[$item->id] = $item->country . ': ' . $item->name;
        }

        return $data;
    }
}
