<?php
/**
 * The Gulliver_Country:: class and Gulliver_Country:: provides Horde_RDO extension
 * used in for handling Countries.
 *
 * $Horde: incubator/minerva/lib/RDO/crud.php,v 1.4 2006/07/05 05:48:23 duck Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */
class Gulliver_Country extends Horde_RDO {
}

/**
 * @package Gulliver
 */
class Gulliver_CountryMapper extends Horde_RDO_Mapper {

    protected $container = 'gulliver_countries';

    public function getStorage()
    {
        return Horde_RDO_Storage::factory('pdo', $GLOBALS['conf']['sql']);
    }

    public function formMeta()
    {
        require 'Horde/NLS/countries.php';
        $data['id'] = array('humanName' => _("Country"), 'type' => 'enum', 'params' => array('enum' => $countries));

        return $data;
    }

    public function getAll()
    {
        require 'Horde/NLS/countries.php';
        $data = array();
        foreach ($this->find(Horde_RDO::FIND_ALL) as $item) {
            $data[$item->id] = $countries[$item->id];
        }

        return $data;
    }
}
