<?php

/**
 * The Gulliver_Mileage:: class and Gulliver_MileageMapper:: provides Horde_RDO extension
 * used in for handling Mileages.
 *
 * $Horde: gulliver/lib/Gulliver.php,v 1.15 2006/03/07 18:17:34 slusarz Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */
class Gulliver_Mileage extends Horde_RDO {
}

/**
 * @package Gulliver
 */
class Gulliver_MileageMapper extends Horde_RDO_Mapper {

    protected $container = 'gulliver_mileages';

    public function getStorage()
    {
        return Horde_RDO_Storage::factory('pdo', $GLOBALS['conf']['sql']);
    }

    public function formMeta()
    {
        $data['id'] = array('humanName' => _("Id"));
        $data['country'] = array('humanName' => _("Country"), 'type' => 'enum', 'params' => array('enum' => Gulliver::getCountries()));
        $data['date'] = array('humanName' => _("Date"));
        $data['value'] = array('humanName' => _("Value"), 'type' => 'number');

        return $data;
    }
}
