<?php

/**
 * The Gulliver_Types:: class and Gulliver_TypesMapper:: provides Horde_RDO extension
 * used in for handling Types.
 *
 * $Horde: gulliver/lib/Gulliver.php,v 1.15 2006/03/07 18:17:34 slusarz Exp $
 * 
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */
class Gulliver_Trip extends Horde_RDO {
}

/**
 * @package Gulliver
 */
class Gulliver_TripMapper extends Horde_RDO_Mapper {

    protected $container = 'gulliver_trips';

    public function getStorage()
    {
        return Horde_RDO_Storage::factory('pdo', $GLOBALS['conf']['sql']);
    }

    public function formMeta()
    {
        $workers = Gulliver::getWorkers();
        $vehicles = Gulliver::getVehicles();
        $cities = Gulliver::getCities();

        $data['id'] = array('humanName' => _("Id"));
        $data['worker'] = array('humanName' => _("Worker"), 'type' => 'enum', 'params' => array('enum' => $workers));
        $data['vehicle'] = array('humanName' => _("Vehicles"), 'type' => 'enum', 'params' => array('enum' => $vehicles, 'prompt' => true));
        $data['predicted_date_from'] = array('humanName' => _("Predicted Start"));
        $data['predicted_date_to'] = array('humanName' => _("Predicted End"));
        $data['contact'] = array('humanName' => _("Client Contact"));
        $data['city'] = array('humanName' => _("City"), 'type' => 'enum', 'params' => array('enum' => $cities));
        $data['intend'] = array('humanName' => _("Intend"), 'type' => 'longtext', 'params' => array(5, 50));
        $data['client_vat'] = array('humanName' => _("Vat"));

        $client_url = sprintf("<a href=\"javascript:openWin('%s')\">%s</a>", Horde::applicationUrl('trips/client.php'), _("Select client"));
        $data['client_name'] = array('humanName' => _("Client"),
                                     'type' => 'longText',
                                     'description' => $client_url,
                                     'params' => array('rows' => 5, 'cols' => 50));

        return $data;
    }
}
