<?php

/**
 * The Gulliver_Vehicle:: class and Gulliver_Vehicle:: provides Horde_RDO extension
 * used in for handling Vehicles.
 *
 * $Horde: gulliver/lib/Gulliver.php,v 1.15 2006/03/07 18:17:34 slusarz Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */
class Gulliver_Vehicle extends Horde_RDO {
}

/**
 * @package Gulliver
 */
class Gulliver_VehicleMapper extends Horde_RDO_Mapper {

    protected $container = 'gulliver_vehicles';

    public function getStorage()
    {
        return Horde_RDO_Storage::factory('pdo', $GLOBALS['conf']['sql']);
    }

    public function formMeta()
    {
        $data['id'] = array('humanName' => _("Id"));
        $data['owner'] = array('humanName' => _("Owner"), 'type' => 'enum', 'params' => array('enum' => Gulliver::getWorkers()));
        $data['manufacturer'] = array('humanName' => _("Manufacturer"), 'type' => 'enum', 'params' => array('enum' => Gulliver::getManufacturers()));
        $data['registration'] = array('humanName' => _("Registration"));

        return $data;
    }

    public function getAll()
    {
        $owners = Gulliver::getWorkers();
        $data = array();
        foreach ($this->find(Horde_RDO::FIND_ALL) as $item) {
            $data[$item->id] = $item->registration;
            if (isset($owners[$item->owner])) {
                $data[$item->id] .= ' ('  . $owners[$item->owner] . ')';
            } else {
                $data[$item->id] .= ' ('  . _("Company") . ' )';
            }
        }

        return $data;
    }
}

