<?php

/**
 * The Gulliver_Worker:: class and Gulliver_Worker:: provides Horde_RDO extension
 * used in for handling Workers.
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */
class Gulliver_Worker extends Horde_RDO {
}

/**
 * @package Gulliver
 */
class Gulliver_WorkerMapper extends Horde_RDO_Mapper {

    protected $container = 'gulliver_workers';

    public function getStorage()
    {
        return Horde_RDO_Storage::factory('pdo', $GLOBALS['conf']['sql']);
    }

    public function formMeta()
    {
        $data['id'] = array('humanName' => _("Id"));
        $data['name'] = array('humanName' => _("First Name"));
        $data['surname'] = array('humanName' => _("Last Name"));
        $data['vat'] = array('humanName' => _("Vat"));
        $data['horde_uid'] = array('humanName' => _("User"));
        $data['address'] = array('humanName' => _("Address"), 'type' => 'longtext', 'params' => array(5, 50));
        $data['city'] = array('humanName' => _("City"));
        $data['tel'] = array('humanName' => _("Telephone"), 'type' => 'cellphone');
        $data['mobile'] = array('humanName' => _("Mobile"), 'type' => 'cellphone');
        $data['email'] = array('humanName' => _("Email"), 'type' => 'email');
        $data['job'] = array('humanName' => _("Job title"));
        $data['comments'] = array('humanName' => _("Comments"), 'type' => 'longtext', 'params' => array(5, 50));

        return $data;
    }

    public function getAll()
    {
        $data = array();
        foreach ($this->find(Horde_RDO::FIND_ALL) as $item) {
            $data[$item->id] = $item->name . ' ' . $item->surname . ' ('  .  $item->email . ')';
        }

        return $data;
    }
}
