<?php
/**
 * RDO data managment form
 *
 * $Horde: incubator/minerva/lib/RDO/crud.php,v 1.7 2006/07/16 07:46:27 duck Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */

require_once HORDE_BASE . '/incubator/Horde_RDO/Form.php';
require_once HORDE_BASE . '/incubator/Horde_RDO/Template.php';
require_once 'Horde/Variables.php';

$actionID = Util::getFormData('actionID');
$self_url = Horde::selfUrl();
if (!isset($filter)) {
    $filter = Util::getFormData('filter', array());
}
if (!isset($form_name)) {
    $form_name = null;
}

$vars = Variables::getDefaultVariables();
$form = Horde_Form_Auto::factory('RDO', $vars, $title, $form_name, $tm);

switch ($actionID) {
case 'delete':
    $form->delete();
    $notification->push(_("Deleted"), 'horde.success');
    header('Location: ' . $self_url);
    exit;

case 'create':
    if (!$form->validate($vars)) {
        break;
    }
    $form->getInfo($vars, $info);
    unset($info['actionID']);
    $tm->create($info);
    $notification->push(_("Created"), 'horde.success');
    header('Location: ' . $self_url);
    exit;

case 'update':
    $test = $form->getSelected();
    if (!$form->isSubmitted($vars)) {
        foreach ($test as $key => $value) {
            $vars->set($key, $value);
        }
    } elseif ($form->validate($vars)) {
        $form->getInfo($vars, $info);
        unset($info['actionID']);
        $form->update($info);
        $notification->push(_("Updated"), 'horde.success');
        header('Location: ' . $self_url);
        exit;
    }
    break;

case 'export':
    echo '<pre>';
    echo htmlspecialchars($form->getSelected()->toXml());
    exit;

case 'search':
    $form->getInfo($vars, $filter);
    unset($filter['actionID']);
    foreach ($filter as $key => $value) {
        if (empty($value)) {
            unset($filter[$key]);
        }
    }
    $self_url = Util::addParameter($self_url, 'actionID', 'search');
    break;
}
