-- --------------------------------------------------------

-- 
-- Table structure for table `gulliver_allowances`
-- 

CREATE TABLE `gulliver_allowances` (
  `id` int(10) unsigned NOT NULL,
  `country` varchar(3) NOT NULL,
  `currency` varchar(3) NOT NULL,
  `complete` decimal(10,3) unsigned NOT NULL,
  `half` decimal(10,3) unsigned NOT NULL,
  `lowed` decimal(10,3) unsigned NOT NULL,
  `updated` int(11) unsigned NOT NULL,
  `created` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=1;

-- --------------------------------------------------------

-- 
-- Table structure for table `gulliver_cities`
-- 

CREATE TABLE `gulliver_cities` (
  `id` int(4) unsigned NOT NULL auto_increment,
  `country` varchar(3) NOT NULL,
  `name` varchar(255) NOT NULL,
  `updated` int(11) unsigned NOT NULL,
  `created` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=1;

-- --------------------------------------------------------

-- 
-- Table structure for table `gulliver_costs`
-- 

CREATE TABLE `gulliver_costs` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `updated` int(11) unsigned NOT NULL,
  `created` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=1;

-- --------------------------------------------------------

-- 
-- Table structure for table `gulliver_countries`
-- 

CREATE TABLE `gulliver_countries` (
  `id` varchar(255) NOT NULL,
  `updated` int(11) unsigned NOT NULL,
  `created` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=1;

-- --------------------------------------------------------

-- 
-- Table structure for table `gulliver_distances`
-- 

CREATE TABLE `gulliver_distances` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `city_from` int(11) unsigned NOT NULL,
  `city_to` int(11) unsigned NOT NULL,
  `distance` int(10) unsigned NOT NULL,
  `created` int(11) unsigned NOT NULL,
  `updated` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=1;

-- --------------------------------------------------------

-- 
-- Table structure for table `gulliver_locations`
-- 

CREATE TABLE `gulliver_locations` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `city` int(10) unsigned NOT NULL,
  `created` int(10) unsigned NOT NULL,
  `updated` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

-- 
-- Table structure for table `gulliver_manufacturers`
-- 

CREATE TABLE `gulliver_manufacturers` (
  `id` int(4) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `updated` int(11) unsigned NOT NULL,
  `created` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=1;

-- --------------------------------------------------------

-- 
-- Table structure for table `gulliver_mileages`
-- 

CREATE TABLE `gulliver_mileages` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `country` varchar(3) NOT NULL,
  `date` date NOT NULL,
  `value` decimal(6,2) unsigned NOT NULL,
  `updated` int(11) unsigned NOT NULL,
  `created` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `date` (`date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=1;

-- --------------------------------------------------------

-- 
-- Table structure for table `gulliver_posts`
-- 

CREATE TABLE `gulliver_posts` (
  `id` int(4) unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  `updated` int(11) unsigned NOT NULL,
  `created` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=1;

-- --------------------------------------------------------

-- 
-- Table structure for table `gulliver_trips`
-- 

CREATE TABLE `gulliver_trips` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `worker` int(11) unsigned NOT NULL,
  `vehicle` int(11) unsigned NOT NULL,
  `city` int(11) unsigned NOT NULL,
  `intend` varchar(255) NOT NULL,
  `predicted_date_from` date NOT NULL,
  `predicted_date_to` date NOT NULL,
  `client_name` varchar(255) NOT NULL,
  `client_vat` varchar(255) NOT NULL,
  `contact` varchar(255) NOT NULL,
  `created` int(10) unsigned NOT NULL,
  `updated` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=1;

-- --------------------------------------------------------

-- 
-- Table structure for table `gulliver_vehicles`
-- 

CREATE TABLE `gulliver_vehicles` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `owner` int(11) unsigned default NULL,
  `manufacturer` int(11) unsigned NOT NULL default '0',
  `registration` varchar(255) NOT NULL,
  `created` int(11) unsigned NOT NULL,
  `updated` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=1;

-- --------------------------------------------------------

-- 
-- Table structure for table `gulliver_workers`
-- 

CREATE TABLE `gulliver_workers` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `horde_uid` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `surname` varchar(255) NOT NULL,
  `vat` varchar(255) default NULL,
  `address` varchar(255) NOT NULL,
  `city` int(4) unsigned NOT NULL,
  `tel` varchar(255) default NULL,
  `mobile` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `job` varchar(255) NOT NULL,
  `comments` varchar(255) default NULL,
  `created` int(11) unsigned NOT NULL,
  `updated` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 PACK_KEYS=1;
