<?php
/**
 * Test gulliver enviroment
 *
 * $Horde: incubator/gulliver/test.php,v 1.5 2006/07/04 13:05:34 duck Exp $
 *
 * Copyright 2006   Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

/* Include Horde's core.php file. */
include_once '../../lib/core.php';

/* We should have loaded the String class, from the Horde_Util
 * package, in core.php. If String:: isn't defined, then we're not
 * finding some critical libraries. */
if (!class_exists('String')) {
    echo '<br /><span style="color: red; font-size: 18px; font-weight: bold;">The Horde_Util package was not found. If PHP\'s error_reporting setting is high enough, there should be error messages printed above that may help you in debugging the problem. If you are simply missing these files, then you need to get the <a href="http://cvs.horde.org/cvs.php/framework">framework</a> module from <a href="http://horde.org/source/">Horde CVS</a>, and install the packages in it with the install-packages.php script.</span>';
    exit;
}

/* Initialize the Horde_Test:: class. */
if (!(is_readable('../../lib/Test.php'))) {
    echo 'ERROR: You must install Horde before running this script.';
    exit;
}
require_once '../../lib/Test.php';
$horde_test = &new Horde_Test;

/* GULLIVER version. */
$module = 'GULLIVER';
require_once './lib/version.php';
$module_version = GULLIVER_VERSION;

require TEST_TEMPLATES . 'header.inc';
require TEST_TEMPLATES . 'version.inc';

/* Display versions of other Horde applications. */
$app_list = array(
    'turba' => array(
        'error' => 'Turba provides clients data.',
        'version' => '2.0',
    )
);
$app_output = $horde_test->requiredAppCheck($app_list);

?>
<h1>Other Horde Applications</h1>
<ul>
    <?php echo $app_output ?>
</ul>
<?php

/* Display PHP Version informaton. */
$php_info = $horde_test->getPhpVersionInformation();
require TEST_TEMPLATES . 'php_version.inc';

/* IMP configuration files. */
$file_list = array(
    'config/conf.php' => null,
    'config/prefs.php' => null,
    'config/clientmap.php' => null
);

/* PEAR modules. */
$pear_list = array(
    'HTML_AJAX' => array(
        'path' => 'HTML/AJAX.php',
        'error' => 'Dynamic articles and client data editing requires HTML_AJAX.'
    ),
);

/* Get the status output now. */
$file_output = $horde_test->requiredFileCheck($file_list);
$pear_output = $horde_test->PEARModuleCheck($pear_list);

?>

<h1>Required Minerva Configuration Files</h1>
<ul>
    <?php echo $file_output ?>
</ul>

<h1>PEAR</h1>
<ul>
    <?php echo $pear_output ?>
</ul>

<?php
require TEST_TEMPLATES . 'footer.inc';
