<?php
/**
 * Gulliver intractive client list
 *
 * $Horde: incubator/minerva/trips/client.php,v 1.6 2006/07/16 08:08:55 duck Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */

@define('GULLIVER_BASE', dirname(__FILE__) . '/../');
require_once GULLIVER_BASE . '/lib/base.php';

require_once 'Horde/UI/Pager.php';
require_once 'Horde/Variables.php';

$fields = unserialize($prefs->getValue('clients_fields'));
$clients = Gulliver::listClients();
foreach ($clients as $id => $client) {
    foreach ($client as $key => $value) {
        if (!in_array($key, $fields)) {
            unset($clients[$id][$key]);
        }
    }
}

$headers = Gulliver::clientsFields();
foreach ($headers as $key => $value) {
    if (!in_array($key, $fields)) {
        unset($headers[$key]);
    }
}

$page = Util::getGet('page');
$perpage = $prefs->getValue('clients_perpage');
$pager = new Horde_UI_Pager('page', Variables::getDefaultVariables(),
                            array('num' => count($clients),
                                  'url' => 'trips/client.php', 'page_count' => 10,
                                  'perpage' => $perpage));

$clients = array_slice($clients, $page*$perpage, $perpage);

Horde::addScriptFile('ajax.js');
Horde::addScriptFile('client.js');
Horde::addScriptFile('stripe.js', 'horde', true);
require GULLIVER_TEMPLATES . '/common-header.inc';

require GULLIVER_TEMPLATES . '/trips/client/header.inc';
foreach ($clients as $id => $client) {
    require GULLIVER_TEMPLATES . '/trips/client/row.inc';
}
require GULLIVER_TEMPLATES . '/trips/client/footer.inc';

require $registry->get('templates', 'horde') . '/common-footer.inc';
