<?php
/**
 * List trips
 *
 * $Horde: incubator/minerva/admin/type.php,v 1.8 2006/06/14 16:55:47 duck Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Minerva
 */

@define('GULLIVER_BASE', dirname(__FILE__) . '/../');
require_once GULLIVER_BASE . '/lib/base.php';
require_once GULLIVER_BASE . '/lib/RDO/Trip.php';

$title = _("Trips");
$tm = new Gulliver_TripMapper();
require_once GULLIVER_BASE . '/lib/RDO/crud.php';

Horde::addScriptFile('ajax.js');
Horde::addScriptFile('client.js');
Horde::addScriptFile('stripe.js', 'horde', true);
require_once GULLIVER_TEMPLATES . '/common-header.inc';
require_once GULLIVER_TEMPLATES . '/menu.inc';

$vehicles = Gulliver::getVehicles();
$workers = Gulliver::getWorkers();
$cities = Gulliver::getCities();
$workerID = Gulliver::getUserWorkerID();

if (!Auth::isAdmin('gulliver')) {
    $filter = array('worker' => $workerID);
}

if (!$form->isSubmitted()) {
    $vars->set('predicted_date_from', date('Y-m-d', time()+86400));
    $vars->set('predicted_date_to', date('Y-m-d', time()+86400));
    $vars->set('worker', $workerID);
}

if (!in_array($actionID, array('create', 'update'))) {
    $template = Horde_Template_Auto::factory('RDO',
                                             array('filter' => $filter,
                                                   'name' => $title),
                                             $tm);
    $template->fill();
    $objects = $template->get('rows');
    $list = array();
    foreach ($objects as $id => $object) {
        $list[$id] = $object->getFields();
        $list[$id]['worker'] = $workers[$list[$id]['worker']];
        $list[$id]['client'] = $clientes[$list[$id]['client']];
        $list[$id]['city'] = $cities[$list[$id]['city']];
        $list[$id]['vehicle'] = $vehicles[$list[$id]['vehicle']];
        $list[$id]['predicted_date_from'] = Gulliver::formatDate($list[$id]['predicted_date_from']);
        $list[$id]['predicted_date_to'] = Gulliver::formatDate($list[$id]['predicted_date_to']);
        $list[$id]['updated'] = Gulliver::formatDate($list[$id]['updated']);
        $list[$id]['created'] = Gulliver::formatDate($list[$id]['created']);
    }
    $template->set('rows', $list);
    $template->set('trip_url', Util::addParameter(Horde::applicationUrl('trips/trip.php'), 'id', ''));
    echo $template->fetch(GULLIVER_TEMPLATES . '/trips/list.html');
}

if (in_array($actionID, array('create', 'update', 'search'))) {
    $form->renderActive(new Horde_Form_Renderer(), $vars);
}

require_once $registry->get('templates', 'horde') . '/common-footer.inc';
